#define ID_MYDIALOG     200
#define IDI_MYICON      201
#define ID_SLIDER       202
#define ID_CANCEL       203
#define ID_EXIT         204
#define CENTER_TICK       5

/* The following structure is used for the Set/Get Threshold IOCTL call */

typedef struct _TH {
    USHORT Length;             /* Length of packet in bytes (10) */
    USHORT Level1;             /* Level 1 movement value */
    USHORT Mult1;              /* Level 1 multiplier value */
    USHORT Level2;             /* Level 2 movement value */
    USHORT Mult2;              /* Level 2 multiplier value */
} THRESHOLD;


typedef struct _ATABLE {
    USHORT m1;                 /* Level 1 multiplier value */
    USHORT m2;                 /* Level 2 multiplier value */
} ATABLE;
