#define INCL_GPI
#define INCL_WIN
#include <os2.h>
#include "template.h"

/* prototypes */
INT main( VOID );
MRESULT EXPENTRY ClientWndProc( HWND, ULONG, MPARAM, MPARAM );

INT main( VOID )
{
   HAB   hab;
   HMQ   hmq;
   QMSG  qmsg;
   HWND  hwndFrame;
   HWND  hwndClient;
   CHAR  szTitleText[]   = "Standard Window";
   CHAR  szClientClass[] = "Client Window";
   ULONG flCreateFlags = FCF_TITLEBAR      /* create: title bar control     */
                       | FCF_SYSMENU       /*         system menu control   */
                       | FCF_MENU          /*         action bar            */
                       | FCF_MINMAX        /*         min and max buttons   */
                       | FCF_SIZEBORDER    /* draw sizeborders              */
                       | FCF_SHELLPOSITION /* shell decides window position */
                       | FCF_TASKLIST      /* title added to switch list    */
                       | FCF_ICON;         /* frame has an icon             */

   hab = WinInitialize( 0 );  /* create achor block handle for this session */
   hmq = WinCreateMsgQueue( hab, /* create message queue for this thread */
                            0 ); /* default to system queue size */

   WinRegisterClass( hab,            /* anchor block handle */
                     szClientClass,  /* class name */
                     ClientWndProc,  /* pointer to window procedure */
                     0,              /* class style */
                     0 );            /* number of class data bytes */

   hwndFrame = WinCreateStdWindow(
                  HWND_DESKTOP,    /* parent */
                  WS_VISIBLE,      /* make window visible */
                  &flCreateFlags,  /* creation flags for frame window */
                  szClientClass,   /* client window class name */
                  szTitleText,     /* text placed in the title bar */
                  0,               /* use default client window style    */
                                   /*    WS_VISIBLE is not needed here */
                  NULLHANDLE,      /* resource ID's are in rc file */
                  ID_FRAMEWND,     /* ID for frame window and its resources */
                  &hwndClient );   /* address to place client window handle */

   if ( hwndFrame )
      while (WinGetMsg( hab, &qmsg, NULLHANDLE, 0, 0 ))
         WinDispatchMsg( hab, &qmsg );

   WinDestroyWindow( hwndFrame );   /* clean up */
   WinDestroyMsgQueue( hmq );
   WinTerminate( hab );

   return 0;
} /* end main */


MRESULT EXPENTRY ClientWndProc( HWND hwnd, ULONG msg, MPARAM mp1,MPARAM mp2 )
{
   switch (msg) {

   // place message handling here

   case WM_ERASEBACKGROUND:
      return (MRESULT)TRUE;
   default:
      return WinDefWindowProc( hwnd, msg, mp1, mp2 );
   } /* endswitch */
} /* ClientWndProc */

